1. Invoices
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
        POST
      • Create an Invoice Action
        POST
      • Retrieve case details
        GET
      • Retrieve distribution Information
        GET
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
Need help?
  1. Invoices

Create an Invoice Action

POST
https://staging-integrations.confirmafinance.com/api/v1/partner/invoice/action
invoiceactionpayment control
Adds a new invoice related action to be processed and performed by the service, adding it to the list of pending actions.
This API endpoint updates invoice information, including details such as billing address, due date, email address, and payment records. It allows clients to modify existing invoices and ensure that all relevant invoice data is current.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Body Params application/json

Example
{
    "actions": [
        {
            "code": "COMMENT",
            "comment": "Customer requested extension",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345
            }
        },
        {
            "code": "WITHDRAW",
            "comment": "Customer requested to withdraw the case with the invoice number",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345
            }
        },
        {
            "code": "DUEDATE",
            "comment": "Customer requested extension for the case due date (not invoice due date)",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345,
                "dueDate": "2026-03-15"
            }
        },
        {
            "code": "PAYMENTPLAN",
            "comment": "Customer allows option to generate an payment plan for this case",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345
            }
        },
        {
            "code": "OBJECTION",
            "comment": "Customer sends a objection to the case with comment",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345
            }
        },
        {
            "code": "PAUSE",
            "comment": "Customer would like to pause the case proceedings",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345
            }
        },
        {
            "code": "DIRECTPAYMENT",
            "comment": "Payment received via bank transfer",
            "data": {
                "invoiceNumber": 123456789,
                "caseId": 12345,
                "paymentMethod": "Bankgiro",
                "amount": 250.75,
                "currency": "SEK",
                "paymentDate": "2026-02-09",
                "reference": "BANKREF-88921",
                "outstandingCapitalAmount": 0,
                "outstandingInterestAmount": 0,
                "outstandingCostsAmount": 0
            }
        }
    ]
}

Responses

🟢200Success
application/json
Response when the payload has been accepted
Body

Example
{}
🟠401Unauthorized
Previous
Create an invoice
Next
Retrieve case details
Built with